Subject: bug#35060: 26.1; Incorrect OpenPGP key on Emacs site

From: Alan Third <[email-masked]>
Date: Tue, 2 Apr 2019 14:59:25 +0100

On Tue, 2 Apr 2019, 07:13 Andrew Luke Nesbit, <[email-masked]>
wrote:

>
> The user is instructed to √erify the signature of the download, but the
> information about who it's signed by is misleading.  The key that signs
> the signature for releases >= 26.1 is not available as far as I can tell.
>

It's actually a subkey, so if you updated Nicolas's key from the server it
should verify correctly. I do agree that it's confusing, though.